############################################################
#
# type definition pro_declaration_component_lcginfo
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 0.0.4
#
# Translation of lcg-lcfg-info.
#
############################################################

declaration template pro_declaration_component_lcginfo;

include pro_declaration_structures;

define type structure_dynamic = {
        "path"                : string
        "script"              : string
        "args"                : string
};

define type structure_attribute = string[];

define type structure_entry = {
        "dn"                  : string
        "attributes"          : structure_attribute{}
};

define type component_lcginfo = {
	include structure_component
        "configPath"          : string
        "ldifFile"            : string
        "genericScript"       : string
        "wrapperScript"       : string
        "configFile"          : string
        "configScript"        : string
        "providers"           ? string[]
        "templates"           ? string[]
        "dynamicScripts"      ? structure_dynamic[]
        "entries"             ? structure_entry[]
};

type "/software/components/lcginfo" = component_lcginfo;


